5 Flares 5 Flares ×

At Appcelerator we believe in continuous improvement and continuous innovation. We are pleased to announce the availability of Titanium 3.0.2.

This release includes support for iOS 6.1 and Xcode 4.6. It also includes support for iPhone5 Retina display images as well as the ability to provide a search widget on Android action bars.

Also included in this release is the GA version 1.0 of Appcelerator Alloy, our model-view-controller (MVC) framework. Alloy further accelerates the development of mobile apps by separating the UI from the business logic, and by enabling reusable widgets. Since we provided a pre-release version of Alloy in August  2012, it has been downloaded more than 60,000 times! We had feedback from more than 1,000 developers providing enhancement requests and bug reports. On average developers have reduced their native development time by over 35% using Alloy!

Appcelerator Alloy 1.0 is supported on Titanium 3.0 and later, and for those of you who have worked with 0.x versions of Alloy, we have put together a migration guide to help you move to Alloy 1.0. To get more info on Alloy, please visit: http://www.appcelerator.com/platform/alloy/

As always, we would like to thank our more than 400,000-strong developer community for all of the support and feedback you provide us on a daily basis. Without this, Titanium would not be in the leadership position that it is in today. Please do keep the feedback and the apps coming. Our next planned release is Titanium 3.1, expected out later this year.

For further details on this release please read the release notes.

How to access Titanium 3.0.2:

For new users, download Titanium 3.0.2.

For existing Titanium Studio users, you will be prompted to update automatically on the next restart. You can also manually check for updates by selecting the “Check for Titanium SDK Updates” from the “Help” menu within Titanium Studio.

If you previously installed the Release Candidate versions of the Titanium CLI and Alloy, that is, npm install titanium@3.0.24-cr and npm install alloy@1.0.0-cr, you need to first uninstall these components before installing or updating to 3.0.2.GA. The release notes contain specific instructions on how to do so.